OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.Histogram

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTHistogram :: MonadIO m => m Bool
- gl_EXT_histogram :: Bool
- pattern GL_HISTOGRAM_ALPHA_SIZE_EXT :: GLenum
- pattern GL_HISTOGRAM_BLUE_SIZE_EXT :: GLenum
- pattern GL_HISTOGRAM_EXT :: GLenum
- pattern GL_HISTOGRAM_FORMAT_EXT :: GLenum
- pattern GL_HISTOGRAM_GREEN_SIZE_EXT :: GLenum
- pattern GL_HISTOGRAM_LUMINANCE_SIZE_EXT :: GLenum
- pattern GL_HISTOGRAM_RED_SIZE_EXT :: GLenum
- pattern GL_HISTOGRAM_SINK_EXT :: GLenum
- pattern GL_HISTOGRAM_WIDTH_EXT :: GLenum
- pattern GL_MINMAX_EXT :: GLenum
- pattern GL_MINMAX_FORMAT_EXT :: GLenum
- pattern GL_MINMAX_SINK_EXT :: GLenum
- pattern GL_PROXY_HISTOGRAM_EXT :: GLenum
- pattern GL_TABLE_TOO_LARGE_EXT :: GLenum
- glGetHistogramEXT :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> m ()
- glGetHistogramParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetHistogramParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMinmaxEXT :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> m ()
- glGetMinmaxParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMinmaxParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glHistogramEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLboolean -> m ()
- glMinmaxEXT :: MonadIO m => GLenum -> GLenum -> GLboolean -> m ()
- glResetHistogramEXT :: MonadIO m => GLenum -> m ()
- glResetMinmaxEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTHistogram :: MonadIO m => m Bool Source #

Is the EXT_histogram extension supported?

gl_EXT_histogram :: Bool Source #

Is the EXT_histogram extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTHistogram` in those cases instead.

# Enums

pattern GL_HISTOGRAM_ALPHA_SIZE_EXT :: GLenum Source #

pattern GL_HISTOGRAM_BLUE_SIZE_EXT :: GLenum Source #

pattern GL_HISTOGRAM_EXT :: GLenum Source #

pattern GL_HISTOGRAM_FORMAT_EXT :: GLenum Source #

pattern GL_HISTOGRAM_GREEN_SIZE_EXT :: GLenum Source #

pattern GL_HISTOGRAM_LUMINANCE_SIZE_EXT :: GLenum Source #

pattern GL_HISTOGRAM_RED_SIZE_EXT :: GLenum Source #

pattern GL_HISTOGRAM_SINK_EXT :: GLenum Source #

pattern GL_HISTOGRAM_WIDTH_EXT :: GLenum Source #

pattern GL_MINMAX_EXT :: GLenum Source #

pattern GL_MINMAX_FORMAT_EXT :: GLenum Source #

pattern GL_MINMAX_SINK_EXT :: GLenum Source #

pattern GL_PROXY_HISTOGRAM_EXT :: GLenum Source #

pattern GL_TABLE_TOO_LARGE_EXT :: GLenum Source #

# Functions

glGetHistogramEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `values` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

glGetHistogramParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLenum | `pname` of type GetHistogramParameterPNameEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetHistogramParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLenum | `pname` of type GetHistogramParameterPNameEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetMinmaxEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `values` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

glGetMinmaxParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLenum | `pname` of type GetMinmaxParameterPNameEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetMinmaxParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLenum | `pname` of type GetMinmaxParameterPNameEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glHistogramEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLsizei | `width`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLboolean | `sink` of type Boolean.
-> m () |

This command is an alias for `glHistogram`.

glMinmaxEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLboolean | `sink` of type Boolean.
-> m () |

This command is an alias for `glMinmax`.

glResetHistogramEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> m () |

This command is an alias for `glResetHistogram`.

glResetMinmaxEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> m () |

This command is an alias for `glResetMinmax`.